"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDynamicBlocks = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const settings_1 = require("@ewizardjs/settings");
const system_settings_1 = require("@ewizardjs/system-settings");
const client_1 = require("../client");
const utils_1 = require("../utils");
__exportStar(require("../client"), exports);
__exportStar(require("../interfaces"), exports);
async function getDynamicBlocks(contentPath) {
    try {
        const { targetCLM, metadata, localization } = await (0, settings_1.getRawWithoutCache)(contentPath);
        const currentPurpose = (0, utils_1.getCurrentPurpose)(metadata);
        const currentTheme = await (0, settings_1.getCurrentTheme)(contentPath);
        const { blocksManifest, blocksThemes } = await (0, system_settings_1.getByPath)(contentPath, 'path');
        const pathToBlocks = (0, path_1.join)(contentPath, blocksManifest);
        const pathToBlocksThemes = (0, path_1.join)(contentPath, blocksThemes);
        const { components = [] } = await readJson(pathToBlocks);
        const { themes = {} } = await readJson(pathToBlocksThemes);
        return (0, client_1.filterDynamicBlocks)({
            currentTheme,
            localization,
            currentPurpose,
            blocksList: components,
            blocksThemes: themes,
            currentClm: targetCLM === null || targetCLM === void 0 ? void 0 : targetCLM.code,
        });
    }
    catch (_a) {
        return [];
    }
}
exports.getDynamicBlocks = getDynamicBlocks;
async function readJson(filePath) {
    return JSON.parse(await fs_1.promises.readFile(filePath, 'utf8'));
}
//# sourceMappingURL=index.js.map